VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ObjCInstance Struct Reference

`#include <objcclassbuilder.h>`

## Public Member Functions
| ObjCInstance (__unsafe_unretained id obj, Class superClass=nullptr)
template<typename T>
std::optional< ObjCVariable< T > > | getVariable (const char *name) const
template<typename Func, typename... T>
void | callSuper (SEL selector, T... args) const
template<typename Func, typename R, typename... T>
R | callSuper (SEL selector, T... args) const

## Constructor & Destructor Documentation

## ◆ ObjCInstance()

ObjCInstance | ( | __unsafe_unretained id | obj,
|  | Class | superClass = nullptr )
| inline

## Member Function Documentation

## ◆ getVariable()

template<typename T>

std::optional< ObjCVariable< T > > getVariable | ( | const char * | name | ) | const
| inline

## ◆ callSuper() [1/2]

template<typename Func, typename... T>

void callSuper | ( | SEL | selector,
|  | T... | args ) const
| inline

## ◆ callSuper() [2/2]

template<typename Func, typename R, typename... T>

R callSuper | ( | SEL | selector,
|  | T... | args ) const
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.